[API]
IsWow64Process
GetCurrentProcess

[CODE]
Public Function OSIsWin64() As Boolean
  Dim xLong1 As Long
  
  On Error GoTo Er1
  If Not IsWow64Process(GetCurrentProcess(), xLong1) = 0& Then
    On Error GoTo 0
    OSIsWin64 = (Not (xLong1 = 0&))
    End If
Rs1:
  On Error GoTo 0
  Exit Function

Er1:
  Resume Rs1
  End Function
